Bug 204885 - [patch] FDP, chapter 7.5: wrong informations about XML comments
Summary: [patch] FDP, chapter 7.5: wrong informations about XML comments
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gabor Kovesdan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-28 18:42 UTC by Andreas Perstinger
Modified: 2018-07-20 11:33 UTC (History)
2 users (show)

See Also:


Attachments
Rewrite of the XML comments section in FDP (3.31 KB, text/plain)
2015-11-28 18:42 UTC, Andreas Perstinger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Perstinger 2015-11-28 18:42:29 UTC
Created attachment 163635 [details]
Rewrite of the XML comments section in FDP

There are two serious problems in section 7.5 (XML comments) in the FDP (see also http://www.w3.org/TR/2006/REC-xml11-20060816/#sec-comments):

1) 'The delimiter for XML comments is the string "--" ...'. This is wrong. An XML comment starts with the string "<!--" and ends with the string "-->".

2) The fourth example in "Example 7.6" is wrong. It is not a valid XML comment because an XML comment must not contain the string "--".

I suggest a complete rewrite of that section.
Comment 1 commit-hook freebsd_committer 2016-09-08 14:40:11 UTC
A commit references this bug:

Author: gabor
Date: Thu Sep  8 14:40:04 UTC 2016
New revision: 49372
URL: https://svnweb.freebsd.org/changeset/doc/49372

Log:
  - Update and simplify section on comments according to the XML standard
    (this section still reflected some old SGML constructs).

  PR:		204885
  Submitted by:	Andreas Perstinger <andipersti@gmail.com>

Changes:
  head/en_US.ISO8859-1/books/fdp-primer/xml-primer/chapter.xml
Comment 2 Gabor Kovesdan freebsd_committer 2016-09-08 14:48:10 UTC
Committed, thanks!
Comment 3 Thanos 2018-07-20 11:33:39 UTC
MARKED AS SPAM